routes/web.php
<?php
use Chartisan\PHP\Chartisan;
use App\Charts\TransaksiChart;
use Charts as ch;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
    $totalProduk = count(App\Models\Produk::all());
    $totalCustomer = count(App\Models\Customer::all());
    $totalTransaksi = count(App\Models\Transaksi::all());
    $transaksi = App\Models\Transaksi::orderBy('created_at', 'desc')->get()
    ->groupBy(function($date) {
        return \Carbon\Carbon::parse($date->created_at)->format('M/y'); // grouping by years
        // return \Carbon\Carbon::parse($date->created_at)->format('m'); // grouping by months
    })->take(12);
// return $transaksi;
    $transaksiVal = array();
    $transaksiRange = array();

    foreach ($transaksi as $key => $value) {
        array_push($transaksiVal, $value->count());
        array_push($transaksiRange, $key);
    }

    $produkLabel = array();
    $produkData = array();

    $favList = DB::select('select nama, sum(rincian_transaksi.qty) as jumlah from rincian_transaksi right join produk on produk.id = rincian_transaksi.produk_id  where produk.deleted_at is null group by produk.nama order by produk.id asc');
// return $favList;

    foreach ($favList as $value) {
        array_push($produkLabel, $value->nama);
        array_push($produkData, $value->jumlah);
    }

    // return $produkData;
    return view('dashboard', ['totalProduk' => $totalProduk, 'totalCustomer' => $totalCustomer, 'totalTransaksi' => $totalTransaksi, 'transaksiVal' => $transaksiVal, 'transaksiRange' => $transaksiRange, 'produkLabel' => $produkLabel, 'produkData' => $produkData]);
})->name('dashboard');

Route::resource('produk', 'App\Http\Controllers\ProdukController')->middleware(['auth:sanctum', 'verified']);
Route::resource('customer', 'App\Http\Controllers\CustomerController')->middleware(['auth:sanctum', 'verified']);
Route::resource('transaksi', 'App\Http\Controllers\TransaksiController')->middleware(['auth:sanctum', 'verified']);
Route::post('transaksirinci/{request}/{idTransaksi}', 'App\Http\Controllers\RincianTransaksiController@store')->middleware(['auth:sanctum', 'verified'])->name('transaksirinci.store');
Route::get('transaksi/cetak-nota/{nomor}', 'App\Http\Controllers\TransaksiController@cetak')->middleware(['auth:sanctum', 'verified'])->name('transaksi.cetak');
Route::resource('laporan', 'App\Http\Controllers\LaporanController')->middleware(['auth:sanctum', 'verified']);
Route::resource('kabupaten', 'App\Http\Controllers\KabupatenController')->middleware(['auth:sanctum', 'verified']);
Route::resource('kelurahan', 'App\Http\Controllers\KelurahanController')->middleware(['auth:sanctum', 'verified']);
Route::resource('ongkir', 'App\Http\Controllers\OngkirController')->middleware(['auth:sanctum', 'verified']);
Route::resource('konfigurasi', 'App\Http\Controllers\KonfigurasiController')->middleware(['auth:sanctum', 'verified']);

// Sampah
Route::middleware(['auth:sanctum', 'verified'])->get('sampah', function(){
    $data = ($_GET['jenis'] == 'produk') ? \App\Models\Produk::onlyTrashed()->orderBy('deleted_at', 'desc')->get() : \App\Models\Customer::onlyTrashed()->orderBy('deleted_at', 'desc')->get();
    return view('sampah', ['data' => $data, 'jenis' => $_GET['jenis']]);
})->name('sampah');
Route::get('sampah/restore', function(){
    $data = ($_GET['jenis'] == 'produk') ? \App\Models\Produk::onlyTrashed()->where('id', $_GET['id'])->first() : \App\Models\Customer::onlyTrashed()->where('id', $_GET['id'])->first();
    $data->restore();
    return redirect()->route('sampah', ['jenis' => $_GET['jenis']])->with('success', ucfirst($_GET['jenis']).' '. $data->nama .' berhasil di kembalikan!');
})->name('restore.sampah')->middleware(['auth:sanctum', 'verified']);

app/View/Components/AppLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;

class AppLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     *
     * @return \Illuminate\View\View
     */
    public function render()
    {
        return view('layouts.app');
    }
}

resources/views/dashboard.blade.php
@extends('layouts.template')
@section('title', 'Dashboard | Admin')
@section('contentHeader', 'Dashboard')
@section('breadCrumb')
    <li class="breadcrumb-item active">Dashboard</li>
@endsection

@section('content')
<!-- Main content -->
<section class="content">
    <div class="container-fluid">
      <!-- Small boxes (Stat box) -->
      <div class="row">
        <div class="col-lg-4 col-6">
          <!-- small box -->
          <div class="small-box bg-info">
            <div class="inner">
              <h3>{{ $totalProduk }}</h3>

              <p>Produk</p>
            </div>
            <div class="icon">
              <i class="ion ion-bag"></i>
            </div>
            <a href="{{ route('produk.index') }}" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
          </div>
        </div>
        <!-- ./col -->
        <div class="col-lg-4 col-6">
          <!-- small box -->
          <div class="small-box bg-success">
            <div class="inner">
              <h3>{{ $totalTransaksi }}</h3>

              <p>Transaksi</p>
            </div>
            <div class="icon">
              <i class="ion ion-stats-bars"></i>
            </div>
            <a href="{{ URL::current() }}/../transaksi" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
          </div>
        </div>
        <!-- ./col -->
        <div class="col-lg-4 col-6">
          <!-- small box -->
          <div class="small-box bg-warning">
            <div class="inner">
              <h3>{{ $totalCustomer }}</h3>

              <p>Customer</p>
            </div>
            <div class="icon">
              <i class="ion ion-person-add"></i>
            </div>
            <a href="{{ URL::current() }}/../customer" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
          </div>
        </div>
        <!-- ./col -->
        {{-- <div class="col-lg-3 col-6">
          <!-- small box -->
          <div class="small-box bg-danger">
            <div class="inner">
              <h3>65</h3>

              <p>Unique Visitors</p>
            </div>
            <div class="icon">
              <i class="ion ion-pie-graph"></i>
            </div>
            <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
          </div>
        </div>
        <!-- ./col --> --}}
      </div>
      <!-- /.row -->
      <!-- Main row -->
      <div class="row">
        <!-- Left col -->
        <section class="col-lg-7 connectedSortable">
          <!-- Custom tabs (Charts with tabs)-->
          <!-- BAR CHART -->
          <div class="card card-success">
            <div class="card-header">
              <h3 class="card-title">Grafik Penjualan per bulan</h3>

              <div class="card-tools">
                <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                </button>
                <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
              </div>
            </div>
            <div class="card-body">
              <div class="chart">
                <canvas id="barChart" style="min-height: 250px; height: 450px; max-height: 450px; max-width: 100%;"></canvas>
              </div>
            </div>
            <!-- /.card-body -->
          </div>
        </section>
        <section class="col-lg-5 connectedSortable">

          <!-- /.card -->
          <!-- DONUT CHART -->
          <div class="card card-danger">
            <div class="card-header">
              <h3 class="card-title">Grafik Keseluruhan Produk Terjual</h3>

              <div class="card-tools">
                <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                </button>
                <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
              </div>
            </div>
            <div class="card-body">
              <canvas id="donutChart" style="min-height: 450px; height: 450px; max-height: 450px; max-width: 100%;"></canvas>
            </div>
            <!-- /.card-body -->
          </div>
          <!-- /.card -->

        {{-- </section> --}}
        <!-- /.Left col -->
        <!-- right col (We are only adding the ID to make the widgets sortable)-->
        {{-- <section class="col-lg-5 connectedSortable"> --}}
          {{-- <!-- Calendar -->
          <div class="card bg-gradient-success">
            <div class="card-header border-0">

              <h3 class="card-title">
                <i class="far fa-calendar-alt"></i>
                Calendar
              </h3>
              <!-- tools card -->
              <div class="card-tools">
                <!-- button with a dropdown -->
                <div class="btn-group">
                  <button type="button" class="btn btn-success btn-sm dropdown-toggle" data-toggle="dropdown" data-offset="-52">
                    <i class="fas fa-bars"></i></button>
                  <div class="dropdown-menu" role="menu">
                    <a href="#" class="dropdown-item">Add new event</a>
                    <a href="#" class="dropdown-item">Clear events</a>
                    <div class="dropdown-divider"></div>
                    <a href="#" class="dropdown-item">View calendar</a>
                  </div>
                </div>
                <button type="button" class="btn btn-success btn-sm" data-card-widget="collapse">
                  <i class="fas fa-minus"></i>
                </button>
                <button type="button" class="btn btn-success btn-sm" data-card-widget="remove">
                  <i class="fas fa-times"></i>
                </button>
              </div>
              <!-- /. tools -->
            </div>
            <!-- /.card-header -->
            <div class="card-body pt-0">
              <!--The calendar -->
              <div id="calendar" style="width: 100%"></div>
            </div>
            <!-- /.card-body -->
          </div>
          <!-- /.card --> --}}
        </section>
        <!-- right col -->
      </div>
      <!-- /.row (main row) -->
    </div><!-- /.container-fluid -->
  </section>
  <!-- /.content -->
@endsection

@section('script')
<script>
    $(function () {
    'use strict'

      /* ChartJS
       * -------
       * Here we will create a few charts using ChartJS
       */
       let label = new Array();
       let data = new Array();

        <?php foreach (array_reverse($transaksiRange) as $key => $value) { ?>
            label.push(<?= '\''.$value.'\'' ?>);
        <?php } ?>

        <?php foreach (array_reverse($transaksiVal) as $key => $value) { ?>
            data.push(<?= '\''.$value.'\'' ?>);
        <?php } ?>

        var areaChartData = {
            labels  : label,
            datasets: [
                {
                label               : 'Transaksi',
                backgroundColor     : 'rgba(60,141,188,0.9)',
                borderColor         : 'rgba(60,141,188,0.8)',
                pointRadius          : false,
                pointColor          : '#3b8bba',
                pointStrokeColor    : 'rgba(60,141,188,1)',
                pointHighlightFill  : '#fff',
                pointHighlightStroke: 'rgba(60,141,188,1)',
                data                : data
                },
            ]
        }

      //-------------
      //- BAR CHART -
      //-------------
      var barChartCanvas = $('#barChart').get(0).getContext('2d')
      var barChartData = jQuery.extend(true, {}, areaChartData)
      var temp0 = areaChartData.datasets[0]
      barChartData.datasets[0] = temp0

      var barChartOptions = {
        responsive              : true,
        maintainAspectRatio     : false,
        datasetFill             : false,
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero:true,
                    suggestedMax:10,
                }
            }]
        }
      }

      var barChart = new Chart(barChartCanvas, {
        type: 'bar',
        data: barChartData,
        options: barChartOptions
      })

//-------------
    //- DONUT CHART -
    //-------------
    // Get context with jQuery - using jQuery's .get() method.
        let labelDonut = new Array();
        let dataDonut = new Array();

        <?php foreach ($produkLabel as $key => $value) { ?>
            labelDonut.push(<?= '\''.$value.'\'' ?>);
        <?php } ?>

        <?php foreach ($produkData as $key => $value) { ?>
            @if(isset($value))
                dataDonut.push(<?= '\''.$value.'\'' ?>);
            @else
                dataDonut.push(0);
            @endif
        <?php } ?>

        var donutChartCanvas = $('#donutChart').get(0).getContext('2d')
        var donutData        = {
            labels: labelDonut,
            datasets: [
                {
                    data: dataDonut,
                    backgroundColor : ['#f56954', '#00a65a', '#f39c12', '#00c0ef', '#3c8dbc', '#d2d6de', '#AED581', '#78909C', '#26A69A', '#7E57C2', '#EC407A', '#B71C1C', '#827717', '#0277BD', '#3E2723', '#880E4F'],
                }
            ]
        }
        var donutOptions     = {
            maintainAspectRatio : false,
            responsive : true,
        }
        //Create pie or douhnut chart
        // You can switch between pie and douhnut using the method below.
        var donutChart = new Chart(donutChartCanvas, {
            type: 'doughnut',
            data: donutData,
            options: donutOptions
        })

        // var calendar = new Calendar(document.getElementById('calendar'), {
        //     plugins: [ 'bootstrap', 'interaction', 'dayGrid', 'timeGrid' ],
        //     header    : {
        //         left  : 'prev,next today',
        //         center: 'title',
        //         right : 'dayGridMonth,timeGridWeek,timeGridDay'
        //     },
        //     'themeSystem': 'bootstrap',
        //     editable  : true,
        //     droppable : true, // this allows things to be dropped onto the calendar !!!
        //     drop      : function(info) {
        //         // is the "remove after drop" checkbox checked?
        //         if (checkbox.checked) {
        //         // if so, remove the element from the "Draggable Events" list
        //         info.draggedEl.parentNode.removeChild(info.draggedEl);
        //         }
        //     }
        //     });

        // calendar.render();
    })
  </script>
@endsection

resources/views/dashboardOld.blade.php
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Dashboard') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-xl sm:rounded-lg">
                <x-jet-welcome />
            </div>
        </div>
    </div>
</x-app-layout>

resources/views/navigation-dropdown.blade.php
<nav x-data="{ open: false }" class="bg-white border-b border-gray-100">
    <!-- Primary Navigation Menu -->
    <div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
        <div class="flex justify-between h-16">
            <div class="flex">
                <!-- Logo -->
                <div class="flex-shrink-0 flex items-center">
                    <a href="{{ route('dashboard') }}">
                        <x-jet-application-mark class="block h-9 w-auto" />
                    </a>
                </div>

                <!-- Navigation Links -->
                <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">
                    <x-jet-nav-link href="{{ route('dashboard') }}" :active="request()->routeIs('dashboard')">
                        {{ __('Dashboard') }}
                    </x-jet-nav-link>
                </div>
            </div>

            <!-- Settings Dropdown -->
            <div class="hidden sm:flex sm:items-center sm:ml-6">
                <x-jet-dropdown align="right" width="48">
                    <x-slot name="trigger">
                        @if (Laravel\Jetstream\Jetstream::managesProfilePhotos())
                            <button class="flex text-sm border-2 border-transparent rounded-full focus:outline-none focus:border-gray-300 transition duration-150 ease-in-out">
                                <img class="h-8 w-8 rounded-full object-cover" src="{{ Auth::user()->profile_photo_url }}" alt="{{ Auth::user()->name }}" />
                            </button>
                        @else
                            <button class="flex items-center text-sm font-medium text-gray-500 hover:text-gray-700 hover:border-gray-300 focus:outline-none focus:text-gray-700 focus:border-gray-300 transition duration-150 ease-in-out">
                                <div>{{ Auth::user()->name }}</div>

                                <div class="ml-1">
                                    <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                                        <path fill-rule="evenodd" d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z" clip-rule="evenodd" />
                                    </svg>
                                </div>
                            </button>
                        @endif
                    </x-slot>

                    <x-slot name="content">
                        <!-- Account Management -->
                        <div class="block px-4 py-2 text-xs text-gray-400">
                            {{ __('Manage Account') }}
                        </div>

                        <x-jet-dropdown-link href="{{ route('profile.show') }}">
                            {{ __('Profile') }}
                        </x-jet-dropdown-link>

                        @if (Laravel\Jetstream\Jetstream::hasApiFeatures())
                            <x-jet-dropdown-link href="{{ route('api-tokens.index') }}">
                                {{ __('API Tokens') }}
                            </x-jet-dropdown-link>
                        @endif

                        <div class="border-t border-gray-100"></div>

                        <!-- Team Management -->
                        @if (Laravel\Jetstream\Jetstream::hasTeamFeatures())
                            <div class="block px-4 py-2 text-xs text-gray-400">
                                {{ __('Manage Team') }}
                            </div>

                            <!-- Team Settings -->
                            <x-jet-dropdown-link href="{{ route('teams.show', Auth::user()->currentTeam->id) }}">
                                {{ __('Team Settings') }}
                            </x-jet-dropdown-link>

                            @can('create', Laravel\Jetstream\Jetstream::newTeamModel())
                                <x-jet-dropdown-link href="{{ route('teams.create') }}">
                                    {{ __('Create New Team') }}
                                </x-jet-dropdown-link>
                            @endcan

                            <div class="border-t border-gray-100"></div>

                            <!-- Team Switcher -->
                            <div class="block px-4 py-2 text-xs text-gray-400">
                                {{ __('Switch Teams') }}
                            </div>

                            @foreach (Auth::user()->allTeams() as $team)
                                <x-jet-switchable-team :team="$team" />
                            @endforeach

                            <div class="border-t border-gray-100"></div>
                        @endif

                        <!-- Authentication -->
                        <form method="POST" action="{{ route('logout') }}">
                            @csrf

                            <x-jet-dropdown-link href="{{ route('logout') }}"
                                                onclick="event.preventDefault();
                                                            this.closest('form').submit();">
                                {{ __('Logout') }}
                            </x-jet-dropdown-link>
                        </form>
                    </x-slot>
                </x-jet-dropdown>
            </div>

            <!-- Hamburger -->
            <div class="-mr-2 flex items-center sm:hidden">
                <button @click="open = ! open" class="inline-flex items-center justify-center p-2 rounded-md text-gray-400 hover:text-gray-500 hover:bg-gray-100 focus:outline-none focus:bg-gray-100 focus:text-gray-500 transition duration-150 ease-in-out">
                    <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                        <path :class="{'hidden': open, 'inline-flex': ! open }" class="inline-flex" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16" />
                        <path :class="{'hidden': ! open, 'inline-flex': open }" class="hidden" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                    </svg>
                </button>
            </div>
        </div>
    </div>

    <!-- Responsive Navigation Menu -->
    <div :class="{'block': open, 'hidden': ! open}" class="hidden sm:hidden">
        <div class="pt-2 pb-3 space-y-1">
            <x-jet-responsive-nav-link href="{{ route('dashboard') }}" :active="request()->routeIs('dashboard')">
                {{ __('Dashboard') }}
            </x-jet-responsive-nav-link>
        </div>

        <!-- Responsive Settings Options -->
        <div class="pt-4 pb-1 border-t border-gray-200">
            <div class="flex items-center px-4">
                <div class="flex-shrink-0">
                    <img class="h-10 w-10 rounded-full" src="{{ Auth::user()->profile_photo_url }}" alt="{{ Auth::user()->name }}" />
                </div>

                <div class="ml-3">
                    <div class="font-medium text-base text-gray-800">{{ Auth::user()->name }}</div>
                    <div class="font-medium text-sm text-gray-500">{{ Auth::user()->email }}</div>
                </div>
            </div>

            <div class="mt-3 space-y-1">
                <!-- Account Management -->
                <x-jet-responsive-nav-link href="{{ route('profile.show') }}" :active="request()->routeIs('profile.show')">
                    {{ __('Profile') }}
                </x-jet-responsive-nav-link>

                @if (Laravel\Jetstream\Jetstream::hasApiFeatures())
                    <x-jet-responsive-nav-link href="{{ route('api-tokens.index') }}" :active="request()->routeIs('api-tokens.index')">
                        {{ __('API Tokens') }}
                    </x-jet-responsive-nav-link>
                @endif

                <!-- Authentication -->
                <form method="POST" action="{{ route('logout') }}">
                    @csrf

                    <x-jet-responsive-nav-link href="{{ route('logout') }}"
                                    onclick="event.preventDefault();
                                                this.closest('form').submit();">
                        {{ __('Logout') }}
                    </x-jet-responsive-nav-link>
                </form>

                <!-- Team Management -->
                @if (Laravel\Jetstream\Jetstream::hasTeamFeatures())
                    <div class="border-t border-gray-200"></div>

                    <div class="block px-4 py-2 text-xs text-gray-400">
                        {{ __('Manage Team') }}
                    </div>

                    <!-- Team Settings -->
                    <x-jet-responsive-nav-link href="{{ route('teams.show', Auth::user()->currentTeam->id) }}" :active="request()->routeIs('teams.show')">
                        {{ __('Team Settings') }}
                    </x-jet-responsive-nav-link>

                    <x-jet-responsive-nav-link href="{{ route('teams.create') }}" :active="request()->routeIs('teams.create')">
                        {{ __('Create New Team') }}
                    </x-jet-responsive-nav-link>

                    <div class="border-t border-gray-200"></div>

                    <!-- Team Switcher -->
                    <div class="block px-4 py-2 text-xs text-gray-400">
                        {{ __('Switch Teams') }}
                    </div>

                    @foreach (Auth::user()->allTeams() as $team)
                        <x-jet-switchable-team :team="$team" component="jet-responsive-nav-link" />
                    @endforeach
                @endif
            </div>
        </div>
    </div>
</nav>

resources/views/sampah.blade.php
@if ($jenis == 'produk')
    @section('title', 'Sampah Produk | Admin')
    @section('contentHeader', 'Sampah Produk')
@else
    @section('title', 'Sampah Customer | Admin')
    @section('contentHeader', 'Sampah Customer')
@endif

@extends('layouts.template')
@section('breadCrumb')
    <li class="breadcrumb-item active">Data Sampah</li>
@endsection

@section('content')
{{-- content --}}
    <div class="container-fluid bg-secondary rounded">
    <!-- Small boxes (Stat box) -->
      {{-- <div class="row pt-4">
          <div class="col-lg-6">
            <form action="{{ route('laporan.update', $laporan) }}" method="post">
                @csrf
                @method('PUT')
                @if (isset($angkabulan))
                    {!! Form::hidden('bulan', $angkabulan, null) !!}
                @endif
                {!! Form::hidden('tahun', $tahun, null) !!}

                <button type="submit" class="btn btn-md btn-success">
                    <i class="fa fas fa-file-export">Unduh</i>
                </button>
            </form>
          </div>
      </div> --}}
      <div class="row mt-3 p-2">
        <div class="col-lg-12 p-4 bg-light rounded">
            <table id="tableData" class="table table-striped table-hover table-bordered dt-responsive nowrap" style="width:100%">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Nama</th>
                        @if ($jenis == 'customer')
                            <th>Telepon</th>
                            <th>Alamat</th>
                        @else
                            <th>Harga Beli</th>
                            <th>Harga Jual</th>
                        @endif
                        <th>Tanggal Hapus</th>
                        <th>Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($data as $index => $each)
                        <tr>
                            <td>{{ $index+1 }}</td>
                            <td>{{ $each->nama }}</td>
                            @if ($jenis == 'customer')
                                <td>{{ $each->telepon }}</td>
                                <td>{{ $each->alamat }}</td>
                            @else
                                <td>Rp. {{ $each->harga_beli }}</td>
                                <td>Rp. {{ $each->harga }}</td>
                            @endif
                            <td>{{ date('d-m-Y', strtotime($each->deleted_at)) }}</td>
                            <td>
                                <a href="{{ route('restore.sampah', ['jenis' => $jenis, 'id' => $each->id]) }}" class="btn btn-info">
                                    <i class="fa fas fa-undo"></i>
                                    Restore
                                </a>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
      </div>
    </div><!-- /.container-fluid -->
{{-- endcontent --}}
@endsection